Skip to main content
GET
/
api
/
v2
/
external
/
workloads
/
list
List Non Complete Executions
curl --request GET \
  --url https://api.lyceum.technology/api/v2/external/workloads/list \
  --header 'Authorization: Bearer <token>'
[
  {
    "execution_id": "<string>",
    "status": "<string>",
    "execution_type": "<string>",
    "hardware_profile": "<string>",
    "created_at": "<string>",
    "execution_owner": "<string>",
    "job_type": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Pass an API key (prefixed lk_) or a JWT access token as a bearer token. Generate API keys in the dashboard at https://dashboard.lyceum.technology/api-keys.

Response

200 - application/json

Successful Response

execution_id
string
required
status
string
required
execution_type
string
required
hardware_profile
string
required
created_at
string
required
execution_owner
string | null
job_type
string | null